## linuxdoc-tools 0.9.21-0.7

=== doc/example/Makefile ===
#! /bin/make -f
#
# Makefile to convert the example.sgml

# old multiple commands way
# COMMAND=sgml2

# new single command approach
COMMAND=linuxdoc --backend=

SOURCE=example.sgml

all: txt html tex dvi ps pdf info lyx rtf
	echo "all output formats are created!"


txt:
	$(COMMAND)$@ $(SOURCE)

html:
	$(COMMAND)$@ $(SOURCE)

tex:
	$(COMMAND)latex -o $@ $(SOURCE)

dvi:
	$(COMMAND)latex -o $@ $(SOURCE)

ps:
	$(COMMAND)latex -o $@ $(SOURCE)

pdf:
	$(COMMAND)latex -o $@ $(SOURCE)

info:
	$(COMMAND)$@ $(SOURCE)

lyx:
	$(COMMAND)$@ $(SOURCE)

rtf:
	$(COMMAND)$@ $(SOURCE)

clean:
	rm -f *.txt *.html *.tex *.dvi *.ps *.pdf *.info *.lyx *.rtf

## linuxdoc-tools 0.9.21

=== debian/changelog ===
linuxdoc-tools (0.9.21) unstable; urgency=low

  * Another Debian specific change
    - set versioned dependency to linuxdoc-tools from text/latex/info
      driver backend (dependency only dummy ) packages.
      Thanks to Paul Slootman for his kind advice (Closes: #138680)
    - use shell scripts for producing better error messages 
      instead of just symlinks (sgml2txt, sgml2latex, and sgml2info)

 -- Taketoshi Sano <sano@debian.org>  Mon, 25 Mar 2002 22:16:20 +0900

linuxdoc-tools (0.9.20) unstable; urgency=low

  * No hyphenation for text output (.nh in groff stylesheet)
  * Debian specific change
    - Revert to put sgml2{txt,info,latex} into main package
      because the new split setup breaks build process of many
      package at our buildd.  Thanks to Ryan Murray for his input
      about this problem.

 -- Taketoshi Sano <sano@debian.org>  Tue, 19 Mar 2002 02:37:21 +0900

linuxdoc-tools (0.9.19) unstable; urgency=low

  * Several Documentation update.
    - now sgml2* and sgmlcheck commands are obsoleted.
      Please switch to use the new single command "linuxdoc"
      and the "-B" option to choose the proper backend drivers.
  * Debian specific change
    - fix the package description. (Closes #138680)

 -- Taketoshi Sano <sano@debian.org>  Mon, 18 Mar 2002 22:32:01 +0900

linuxdoc-tools (0.9.18) unstable; urgency=low

  * Debian specific change
    - fix the shell script for sgml2txt and sgml2info
      Thanks to Michael Fedrowitz for his report (Closes: #135376)

 -- Taketoshi Sano <sano@debian.org>  Mon, 25 Feb 2002 00:30:27 +0900

linuxdoc-tools (0.9.17) unstable; urgency=low

  * Just the Debian specific change.
    - fix dependencies from groff-base to groff (Closes: #120867)
    - The obsoleted commands "sgml2*" aren't "binaries" at all,
      but wishes are granted anyway.  They are contained in each
      "dummy" packages now.  (The functions are still provided
      by the common main command; i.e. linuxdoc. So users can
      convert linuxdoc sgml source into text without dummy pkgs ;)

 -- Taketoshi Sano <sano@debian.org>  Mon, 18 Feb 2002 20:05:14 +0900

linuxdoc-tools (0.9.16) unstable; urgency=low

  * fix mapping files for latex output.  Thanks to Xavier Venient
    for his patch. (Closes: #130396)
  * Makefile.in: change from "@datadir@" to "$(datadir)" for pkgdatadir
    Thanks to Tim Waugh for his valuable advices.
  * ./lib/{url.sty,epsf.sty,epsf.tex}: moved to ./obsoleted since
    the newer version of them are available from teTeX distribution.
  * fix a typo in man/linuxdoc.1 (tex -> txt).
  * create dummy packages for required dependencies. (Closes: #120867)

 -- Taketoshi Sano <sano@debian.org>  Tue, 29 Jan 2002 00:56:52 +0900

linuxdoc-tools (0.9.15) unstable; urgency=low

  * fix a remaining bug in Makefile.in

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Dec 2001 23:20:14 +0900

linuxdoc-tools (0.9.14) unstable; urgency=low

  * changes based on the patches from Tim Waugh:
     - add "-R" option to dvips in lib/dist/fmt_latex2e.pl
     - fix a simple bug in rtf2rtf.l
     - fix configure.in and Makefile.in for sane installation
     - update doc/Makedoc.sh to keep up with other changes

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Dec 2001 08:16:18 +0900

linuxdoc-tools (0.9.13) unstable; urgency=low

  * forgot to update the VERSION file. fixed.

 -- Taketoshi Sano <sano@debian.org>  Mon, 26 Nov 2001 23:45:19 +0900

linuxdoc-tools (0.9.12) unstable; urgency=low

  * Update mapping files for latex output to fix a problem
    related multiple occuring of url/htmlurl in single line.
    Thanks to Xavier Venient <xvenient@free.fr> for finding 
    this problem and providing a sample sgml source.
  * run texhash only gets removed. moved from prerm to postrm.
    (Closes: #118893)

 -- Taketoshi Sano <sano@debian.org>  Wed, 14 Nov 2001 00:49:28 +0900

linuxdoc-tools (0.9.11) unstable; urgency=low

  * add entry for multi-line DTD declaration style
    on DTD detection code.  Thanks to Martin Schulze <joey>
    to inform this problem to me.

 -- Taketoshi Sano <sano@debian.org>  Thu, 18 Oct 2001 22:36:04 +0900

linuxdoc-tools (0.9.10) unstable; urgency=low

  * modify html stylesheet (lib/dists/linuxdoc-tools/html/mapping)
    in order to enable the usage of <manpage> element in both of
    groff (man) and html output. This is requested from the maintainer
    of urlview. Closes: #90870
  * add error message in LinuxDocTools.pm for file creation failure.
    Closes: #111256

 -- Taketoshi Sano <sano@debian.org>  Sun,  9 Sep 2001 12:52:43 +0900

linuxdoc-tools (0.9.9) unstable; urgency=low

  * Debian specific
    - FHS transition.
    - remove iso-entities in this package, and use entities
      in Debian sgml-data package.  Closes: #39665
    - try to fix an old wishlist bug.  use mawk when gawk is
      not available and replace dependencies to gawk with 
      gawk|mawk.  Closes: #25283
    - Old bug clean up.  Closes: #99810
    - use update-catalog instead of old install-sgmlcatalog
  * fix a bug in chapter handling code for html conversion.
    Thanks to Vanessa Conchodon.  Closes: #109077
  * change the default behavior to include subsections
    in the table of contents, and add the note for --toc
    option in manpages.  Closes: #96658
  * fix a bug in index handling code for info conversion.
    Thanks to Jim Van Zandt for his patch.  Closes: #79784
    (Actually, this has been fixed for months, I think.
     Just forgot to close the bug.)

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Sep 2001 00:28:43 +0900

linuxdoc-tools (0.9.8.1) unstable; urgency=low

  * Use symlinks instead of hard links for sgml2**** commands
    Thanks to James Troup for his notice. - Closes: #89063

 -- Taketoshi Sano <sano@debian.org>  Mon,  2 Jul 2001 20:22:27 +0900

linuxdoc-tools (0.9.8) unstable; urgency=low

  * change the order of nsgmls and onsgmls in configure.in
    (1st try nsgmls, and then onsgmls)



=== debian/control ===
Source: linuxdoc-tools
Section: text
Priority: optional
Maintainer: Taketoshi Sano <sano@debian.org>
Standards-Version: 3.5.6
Build-Depends: sp|opensp, tetex-bin, texinfo, groff (>= 1.15.3.1), tetex-extra, flex, gawk|mawk, perl

Package: linuxdoc-tools
Architecture: any
Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base, gawk|mawk, perl
Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
Provides: linuxdoc-sgml
Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 0.9.20), linuxdoc-tools-info (<< 0.9.20), linuxdoc-tools-latex (<< 0.9.20)
Description: SGML converters for the LinuxDoc DTD only.
 LinuxDoc is a kind of SGML DTD. It was created for
 the Linux HOWTOs, and had been used officially by
 the Linux Documentation Project (LDP).  Now LDP has 
 aggressively migrated into the DocBook world, but many 
 documents are still available in LinuxDoc DTD sgml. 
 So users may still need the tool for LinuxDoc, therefore
 LinuxDoc-Tools was created on the basis of sgml-tools_v1.
 .
 The main command is linuxdoc, and -B option is provided
 to choose the proper backend driver for desired output.
 linuxdoc -B check: for syntax checking
 linuxdoc -B html: conversion to html
 linuxdoc -B info: conversion to info
 linuxdoc -B latex: conversion to latex, dvi, and postscript
 linuxdoc -B lyx: conversion to lyx
 linuxdoc -B rtf: conversion to rtf
 linuxdoc -B txt: conversion to text
 .
 HTML can be generated without any other Debian text
 processing package, but for the other formats the
 appropriate packages will have to be installed.
  - Text conversion requires groff
  - LaTeX conversion requires tetex-base, tetex-bin, and tetex-extra
  - Info conversion requires texinfo
 You can install linuxdoc-tools-text for required dependency of
 text conversion.  linuxdoc-tools-latex and linuxdoc-tools-info
 are provided for dependencies of latex or info conversion.
 .
 This linuxdoc-tools has been designed and implemented only
 for linuxdoc DTD.
 .
 If you wish to convert debiandoc DTD documents,
 Please install and use debiandoc-sgml package.
 If you wish to convert docbook DTD documents,
 Please install and use jade (with or without sgmltools-lite).

Package: linuxdoc-tools-text
Architecture: all
Depends: linuxdoc-tools, groff
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: Text output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 text conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-latex
Architecture: all
Depends: linuxdoc-tools, tetex-base, tetex-bin, tetex-extra
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for 
 LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-info
Architecture: all
Depends: linuxdoc-tools, texinfo
Conflicts: linuxdoc-tools (<< 0.9.20)
Description: Info output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 info conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from: Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

SHELL=/bin/bash

package=linuxdoc-tools

# for FHS transition
DOCDIR=usr/share/doc/$(package)
MANDIR=usr/share/man
INFODIR=usr/share/info

# The next section may have to be extensively modified

build:
	$(checkdir)
	PATH=/usr/bin:$(PATH) ./configure --prefix=/usr \
	 --mandir=/$(MANDIR) --with-installed-nsgmls
	$(MAKE) prefix=/usr mandir=/$(MANDIR) PERL=/usr/bin/perl \
	  OPTIMIZE="-g -O2"
	touch build

clean:
	$(checkdir)
	-rm -f .depend
	-rm -f build
	-$(MAKE) distclean
	-find . -name \*~| xargs -r rm -f
	-rm -rf debian/tmp debian/*~ debian/files debian/substvars
	-for d in entity-map iso-entities ; do \
	     ( cd $$d && make distclean); \
	  done
	-rm -f {entity-map,iso-entities}/Makefile

binary-indep:   checkroot build
	$(checkdir)
	for i in text latex info; do \
	  rm -rf debian/$(package)-$$i; \
	  install -d debian/$(package)-$$i/$(DOCDIR)-$$i; \
	    cp debian/copyright.dependencies \
	      debian/$(package)-$$i/$(DOCDIR)-$$i/copyright; \
	    cp debian/changelog debian/$(package)-$$i/$(DOCDIR)-$$i/changelog; \
	    gzip -9f debian/$(package)-$$i/$(DOCDIR)-$$i/changelog*; \
	  install -d debian/$(package)-$$i/DEBIAN; \
	    sed -e 's/DRIVER/'$$i'/' debian/prerm.dependencies \
	      > debian/$(package)-$$i/DEBIAN/prerm; \
	    sed -e 's/DRIVER/'$$i'/' debian/postinst.dependencies \
	     > debian/$(package)-$$i/DEBIAN/postinst; \
	  dpkg-gencontrol -isp -plinuxdoc-tools-$$i -Pdebian/$(package)-$$i; \
	  chown -R root.root debian/$(package)-$$i; \
	  chmod -R a+r debian/$(package)-$$i/$(DOCDIR)-$$i; \
	  chmod -R u+w debian/$(package)-$$i; \
	  chmod -R g-ws debian/$(package)-$$i; \
	  chmod 0755 debian/$(package)-$$i/DEBIAN/{prerm,postinst}; \
	  dpkg --build debian/$(package)-$$i ..; \
	done


#	  install -d debian/$(package)-$$i/usr/bin; \
	    case "$$i" in \
	     text) DRVCMD="sgml2txt";; \
	     latex) DRVCMD="sgml2latex";; \
	     info) DRVCMD="sgml2info";; \
	     esac; \
	     cp debian/addition/$$DRVCMD \
	       debian/$(package)-$$i/usr/bin/; \
	  install -d debian/$(package)-$$i/$(MANDIR)/man1; \
	    cp man/$${DRVCMD}.1 debian/$(package)-$$i/$(MANDIR)/man1/; \
	    gzip -9f debian/$(package)-$$i/$(MANDIR)/man1/sgml2{txt,latex,info}.1; \
#	  chmod 0755 debian/$(package)-$$i/usr/bin/sgml2{txt,latex,info}; \


binary-arch:	checkroot build
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
#	cp debian/control debian/tmp/DEBIAN
	install debian/{prerm,postinst,postrm} debian/tmp/DEBIAN
	install -d debian/tmp/$(DOCDIR)
#
# create copyright file by merging some files
	cp debian/copyright debian/tmp/$(DOCDIR)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The sgmls license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat sgmls-1.1/LICENSE >>debian/tmp/$(DOCDIR)/copyright
#
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/tmp/$(DOCDIR)/copyright
#	cat sp/COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The iso-entities license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat iso-entities/COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The entity-map license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat entity-map/COPYING >>debian/tmp/$(DOCDIR)/copyright
#
# do 'make install'
	$(MAKE) prefix=`pwd`/debian/tmp/usr \
		PERL=/usr/bin/perl \
		mandir=`pwd`/debian/tmp/usr/share/man \
		bindir=`pwd`/debian/tmp/usr/bin install
#
# remove sgml2{text,latex,info}
	rm -f `pwd`/debian/tmp/usr/bin/sgml2{txt,latex,info}
#	rm -f `pwd`/debian/tmp/$(MANDIR)/man1/sgml2{txt,latex,info}.1
#
# copy shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    debian/tmp/usr/bin/sgml2$$i; \
	done
# 
# some Debian specific work
	find debian/tmp/$(DOCDIR)/ -type f \
	     -not \( -name \*.gz -o -name copyright \) | xargs gzip -9f
	find debian/tmp/$(DOCDIR)/html -type f -name '*.gz'| xargs gzip -d
	install -d debian/tmp/$(INFODIR)
	mv debian/tmp/$(DOCDIR)/guide.info.gz \
		debian/tmp/$(INFODIR)/linuxdoc-sgml.info.gz
	(cd debian/tmp/$(DOCDIR) && \
		ln -s ../../info/linuxdoc-sgml.info.gz . )
	install -d debian/tmp/usr/share/sgml/
	mv debian/tmp/usr/share/linuxdoc-tools/dtd \
		debian/tmp/usr/share/sgml/
	ln -s ../sgml/dtd debian/tmp/usr/share/linuxdoc-tools/
	install -d debian/tmp/usr/share/texmf/tex/latex/misc/
	mv debian/tmp/usr/share/linuxdoc-tools/{linuxdoc-sgml,linuxdoctr-sgml,qwertz,null}.sty \
		debian/tmp/usr/share/texmf/tex/latex/misc
	rm -f debian/tmp/usr/share/linuxdoc-tools/*sty
#
# doc-base support
	install -d debian/tmp/usr/share/doc-base/
	cp debian/doc-base.linuxdoc-tools \
	  debian/tmp/usr/share/doc-base/linuxdoc-tools
#
# rewrite to use sgmlswhich wrapper 
	install -m 755 debian/addition/sgmlswhich \
	  debian/tmp/usr/share/linuxdoc-tools/sgmlswhich;
	install -m 755 debian/addition/awkwhich \
	  debian/tmp/usr/share/linuxdoc-tools/awkwhich;
	sed -e "s:/usr/bin/o\?nsgmls:/usr/share/linuxdoc-tools/sgmlswhich:" \
	    -e "s:/usr/bin/[gm]awk:/usr/share/linuxdoc-tools/awkwhich:" \
	   debian/tmp/usr/bin/linuxdoc >debian/tmp/usr/bin/linuxdoc.new;
	mv debian/tmp/usr/bin/linuxdoc.new debian/tmp/usr/bin/linuxdoc;
	chmod a+x debian/tmp/usr/bin/linuxdoc
#
# rewrite to use iso-entities from debian sgml-data package
	sed -e "s:prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat:prefix/share/sgml/entities/sgml-iso-entities-8879.1986/catalog:" \
           debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm \
	   >debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm.new;
	   mv debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm.new \
	        debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm;
	chmod 0644 debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm;
#
# remove iso-entities directory
	rm -rf debian/tmp/usr/share/sgml/iso-entities-8879.1986
# other tasks to build package
	strip --remove-section=.comment --remove-section=.note \
	  --strip-unneeded debian/tmp/usr/bin/{rtf2rtf,sgmlsasp,sgmlpre}
	rm -f debian/tmp/usr/bin/*~
	gzip -9f debian/tmp/$(MANDIR)/man?/*
	cp debian/changelog debian/tmp/$(DOCDIR)/changelog
	# cp ChangeLog debian/tmp/$(DOCDIR)/changelog
	gzip -9f debian/tmp/$(DOCDIR)/changelog*
	dpkg-shlibdeps sgmls-1.1/sgmlsasp
	dpkg-gencontrol -isp -plinuxdoc-tools
	chown -R root.root debian/tmp
	chmod -R a+r debian/tmp/$(DOCDIR)
	chmod -R u+w debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f bin/linuxdoc.in
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## linuxdoc-tools 0.9.21-0osso1

=== debian/changelog ===
linuxdoc-tools (0.9.21-0osso1) unstable; urgency=low

  * Add GPL licence text to source package

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 29 Aug 2007 11:40:23 +0300

## linuxdoc-tools 0.9.21-0.2

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Obsolete code in generated LaTeX input files (Closes: #322000)

 -- Alexander Wirt <formorer@debian.org>  Sun, 25 Dec 2005 12:59:08 +0100

linuxdoc-tools (0.9.21-0.1) unstable; urgency=low

  * Make sgml2latex work with teTeX-3.0.  NMU since this fix is necessary
    to prevent FTBFS bugs (closes: #321998)

 -- Frank Kster <frank@debian.org>  Tue, 18 Oct 2005 19:08:34 +0200

## linuxdoc-tools 0.9.21-0.4

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * entity-map/sdata/ISOnum.2html:
    - Add translations for some HTML entities that describe
      ascii characters, which should just be written plain
      in HTML files. Patch by Adeodato Simó (closes: #233919).
  * lib/info.awk:
    - No need to escape braces. This was producing warnings with
      gawk. Patch by Spiro Trikaliotis (closes: #352022)
  * debian/{prerm,postinst}:
    - Use 'which' instead of non-POSIX 'command -v' (closes: #292994)
  * debian/control:
    - Make sgml-base dependency be at least on 1.04, where
      'update-catalog' was included (closes: #187467)
  * debian/copyright.dependencies:
    - Refer to common GPL copyright file
  * debian/rules:
    - Make sure non binary perl module is installed in the right
      location under /usr/share/perl5, not /usr/lib/perl5.
  * lib/LinuxDocTools.pm:
    - Check for /etc/papersize presence and set default to letter if
      appropriate (closes: #185233)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 10 May 2006 15:32:35 +0200

linuxdoc-tools (0.9.21-0.3) unstable; urgency=low

  * Non-maintainer upload.
  
  [Agustin Martin]
  * debian/changelog: Converted to utf-8
  * lib/dist/fmt_lyx.pl: Fix indent level problems when using
    sgml2lyx. An extra '$_=" ".<$infile>;' in the @/tag@ section.
    was causing problems with $ident_level (closes: #357029)
  * lib/dist/linuxdoc-tools/latex2e/{tr-,}mapping.orig removed
  * lib/dist/fmt_latex2e.pl,
    lib/dist/linuxdoc-tools/latex2e/{tr-,}mapping:
    - Change preamble creation mechanism to use @FOO@ like strings
      to be substituted by the right values (closes: #197914, #259266)
    - Typo fixed (non escaped []).
  * debian/rules: Make sure debian/linuxdoc-tools-{info,latex,txt} dirs
    are removed in clean target as well as other stuff
  
  [Joey Hess]
  * debian/{postinst,prerm}{,.dependencies}
    - Removed /usr/doc symlink (closes: #322791, #342746)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  9 May 2006 18:13:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: linuxdoc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base, gawk|mawk, perl
+Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
 Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)

## linuxdoc-tools 0.9.21-0.5

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_html.pl:
    - Make sure multiline sect names are correctly treated
      in $html->{preASP} (closes: #193792).
    - Minor simplifications in $html->{preASP}.
  * lib/LinuxDocTools.pm:
    - Signal error and provide more info if system call fails.
  * debian/control:
    - Add texlive alternative TeX dependencies (closes: #381468).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Nov 2006 12:45:35 +0100

## linuxdoc-tools 0.9.21-0.5build1

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.5build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:22:14 +0000

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
-Depends: linuxdoc-tools, tetex-base, tetex-bin, tetex-extra
+Depends: linuxdoc-tools, tetex-base | texlive-latex-base, tetex-bin | texlive-base-bin, tetex-extra | texlive-latex-recommended
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.

## linuxdoc-tools 0.9.21-0.7

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.7) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Cosmetic changes.
    - Add emacs local variables section to have indent-level 2.
    - "-P-c" is passed to grotty as default, unless something
      else is set from the command line. This should fallback
      to the old (overstriking) grotty behavior and avoid escape
      sequences unless explicitely desired. Thanks David Lawyer
      for the hint (closes: #175575, #419324).
  * lib/dist/fmt_{latex2e,txt}.pl
    - Make sure underscores are passed as &lowbar; (closes: #194941)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Apr 2007 16:00:02 +0200

linuxdoc-tools (0.9.21-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/linuxdoc-tools/html/mapping:
    - Make sure <p> starts a new line in html mode, so it
      does not mess with title declaration (closes: #182775).
  * lib/dist/linuxdoc-tools/latex2e/{,tr-}mapping:
    - Removed unneeded newlines from latex2e mapping
      (closes: #168482).
    - Make sure pdftex is used before setting \pdfcompresslevel.
    - Extend babel options selection to other document classes.
  * lib/dist/fmt_latex2e.pl:
    - Remove spurious '\n' (not real '\\n') after leading "-".
  * lib/LinuxDocTools.pm:
    - Use -t LIST option to expand command instead of obsolete and
      undocumented (but still working) -LIST (closes: #215271).
  * debian/control:
    - Fix package description, linuxdoc-tools is currently in use
      by the LDP. Thanks David Lawyer for his suggestions
      (closes: #406708)
    - Add missing texlive dependencies and build dependencies and
      make texlive preferrable to tetex, to help the texlive
      transition.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Apr 2007 12:47:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,19 @@
 Priority: optional
 Maintainer: Taketoshi Sano <sano@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: sp|opensp, tetex-bin, texinfo, groff (>= 1.15.3.1), tetex-extra, flex, gawk|mawk, perl
+Build-Depends: sp|opensp, texlive-base-bin|tetex-bin, texinfo, groff (>= 1.15.3.1), texlive-latex-recommended|tetex-extra, flex, gawk|mawk, perl
 
 Package: linuxdoc-tools
 Architecture: any
 Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
-Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
+Suggests: texlive-latex-base|tetex-base (>= 0.9.990406), texlive-base-bin|tetex-bin, texinfo, info-browser, texlive-latex-recommended|tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
 Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 0.9.20), linuxdoc-tools-info (<< 0.9.20), linuxdoc-tools-latex (<< 0.9.20)
 Description: SGML converters for the LinuxDoc DTD only.
  LinuxDoc is a kind of SGML DTD. It was created for
- the Linux HOWTOs, and had been used officially by
- the Linux Documentation Project (LDP).  Now LDP has 
- aggressively migrated into the DocBook world, but many 
- documents are still available in LinuxDoc DTD sgml. 
- So users may still need the tool for LinuxDoc, therefore
+ the Linux HOWTOs, and is being used by the Linux
+ Documentation Project (LDP).
  LinuxDoc-Tools was created on the basis of sgml-tools_v1.
  .
  The main command is linuxdoc, and -B option is provided
@@ -61,7 +58,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
-Depends: linuxdoc-tools, tetex-base | texlive-latex-base, tetex-bin | texlive-base-bin, tetex-extra | texlive-latex-recommended
+Depends: linuxdoc-tools, texlive-latex-base|tetex-base, texlive-base-bin|tetex-bin, texlive-latex-recommended|tetex-extra
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,13 @@
 	     ( cd $$d && make distclean); \
 	  done
 	-rm -f {entity-map,iso-entities}/Makefile
+#     --- Remove some stuff left behind
+	rm -f doc/guide.txt
+	-rmdir doc/rtf
+#     --- Remove extra packages bulid dirs
+	rm -rf debian/linuxdoc-tools-info
+	rm -rf debian/linuxdoc-tools-latex
+	rm -rf debian/linuxdoc-tools-text
 
 binary-indep:   checkroot build
 	$(checkdir)
@@ -114,6 +121,12 @@
 		PERL=/usr/bin/perl \
 		mandir=`pwd`/debian/tmp/usr/share/man \
 		bindir=`pwd`/debian/tmp/usr/bin install
+
+# Install non binary perl module in the right location
+	( cd `pwd`/debian/tmp/usr/ && \
+		mkdir -p share/perl5/Text && \
+		mv lib/perl5/Text/*.pm share/perl5/Text && \
+		rmdir lib/perl5/Text lib/perl5/ )
 #
 # remove sgml2{text,latex,info}
 	rm -f `pwd`/debian/tmp/usr/bin/sgml2{txt,latex,info}

## linuxdoc-tools 0.9.21-0.9

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.9) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Rewritten TOC creation code. Should now work with long
      lines (wrappping them) and chapters, as well as remove
      a number of undesired stuff from it (closes: #425537).
    - Make sure we abort if groff creates an empty file
      (closes: #248992).
    - Make sure zero width spaces are inserted in front of
      ' at start of line (closes: #426696).
    - Make sure HY register is set to 0 for languages other
      than english before sending to groff (closes: #16304).
    - Merge $txt->{cutblank} functionality into postASP.
    - Cosmetic changes.
  * doc/Makedoc.sh:
    - Use '-b 1' for guide text build.
  * lib/LinuxDocTools/Lang.pm:
    - Added patch from Fedora FC6 with Finnish strings
      (closes: #423216)
  * README,debian/{control,rules,README.Debian}:
    - Rewrite package description, and move some of the
      former info to README and README.Debian. Thanks David
      Lawyer for his help (closes: #426562).
    - Install README.Debian with info about packages required
      for extra functionality. Refer to this needs in package
      description (closes: #188977).
  * entity-map/sdata/ISOnum.2l1tr:
    - Replace &nbsp; by groff non breaking space, '\ ', instead
      of using latin1(160), disliked by groff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 May 2007 18:40:49 +0200

linuxdoc-tools (0.9.21-0.8) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Make -f pass "-cbou" to grotty unless something else
      is passed. Remove old un-overstriking code.
    - Cosmetic changes.	
  * debian/changelog: Minor fixes in old entries.
  * doc/Makedoc.sh:
    - Use 'times' package for guide latex build. This makes
      linuxdoc package size nearly half.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  7 May 2007 12:11:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,39 +12,19 @@
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
 Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 0.9.20), linuxdoc-tools-info (<< 0.9.20), linuxdoc-tools-latex (<< 0.9.20)
-Description: SGML converters for the LinuxDoc DTD only.
- LinuxDoc is a kind of SGML DTD. It was created for
- the Linux HOWTOs, and is being used by the Linux
- Documentation Project (LDP).
- LinuxDoc-Tools was created on the basis of sgml-tools_v1.
+Description: convert LinuxDoc SGML source into other formats
+ LinuxDoc sgml is a highly configurable text format for writing
+ documentation, something like html only it's simpler and can be
+ converted to various other formats, including html for websites.
+ You write a LinuxDoc document using any text editor such as vim.
+ Then you use linuxdoc-tools to convert it to html, rtf, plain-text
+ (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
+ latex, dvi or postscript (install linuxdoc-tools-latex). The
+ sgmltools-lite package can convert LinuxDoc to DocBook format.
  .
- The main command is linuxdoc, and -B option is provided
- to choose the proper backend driver for desired output.
- linuxdoc -B check: for syntax checking
- linuxdoc -B html: conversion to html
- linuxdoc -B info: conversion to info
- linuxdoc -B latex: conversion to latex, dvi, and postscript
- linuxdoc -B lyx: conversion to lyx
- linuxdoc -B rtf: conversion to rtf
- linuxdoc -B txt: conversion to text
- .
- HTML can be generated without any other Debian text
- processing package, but for the other formats the
- appropriate packages will have to be installed.
-  - Text conversion requires groff
-  - LaTeX conversion requires tetex-base, tetex-bin, and tetex-extra
-  - Info conversion requires texinfo
- You can install linuxdoc-tools-text for required dependency of
- text conversion.  linuxdoc-tools-latex and linuxdoc-tools-info
- are provided for dependencies of latex or info conversion.
- .
- This linuxdoc-tools has been designed and implemented only
- for linuxdoc DTD.
- .
- If you wish to convert debiandoc DTD documents,
- Please install and use debiandoc-sgml package.
- If you wish to convert docbook DTD documents,
- Please install and use jade (with or without sgmltools-lite).
+ LinuxDoc can automatically create a table of contents.  It's easier to
+ write and read than docbook since it allows one to omit most closing
+ tags while paragraphs are separated by just blank lines.
 
 Package: linuxdoc-tools-text
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 #     --- Remove some stuff left behind
 	rm -f doc/guide.txt
 	-rmdir doc/rtf
-#     --- Remove extra packages bulid dirs
+#     --- Remove extra packages build dirs
 	rm -rf debian/linuxdoc-tools-info
 	rm -rf debian/linuxdoc-tools-latex
 	rm -rf debian/linuxdoc-tools-text
@@ -188,6 +188,7 @@
 	rm -f debian/tmp/usr/bin/*~
 	gzip -9f debian/tmp/$(MANDIR)/man?/*
 	cp debian/changelog debian/tmp/$(DOCDIR)/changelog
+	install -m 644 debian/README.Debian debian/tmp/$(DOCDIR)
 	# cp ChangeLog debian/tmp/$(DOCDIR)/changelog
 	gzip -9f debian/tmp/$(DOCDIR)/changelog*
 	dpkg-shlibdeps sgmls-1.1/sgmlsasp
@@ -213,5 +214,3 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
-

## linuxdoc-tools 0.9.21-0.11

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.11) unstable; urgency=low

  * Non-maintainer upload.
  * lib/LinuxDocTools/Html2Html.pm:
    - Do not generate a fake html single file for report
      style when using '-s 0'. Thanks Xavier Droubay for
      the patch (Closes: #433021).
  * Makefile.in:
    - Do not unconditionally strip sgmlpre (Closes: #437479).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 11 Sep 2007 13:32:06 +0200

linuxdoc-tools (0.9.21-0.10) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile.in:
    - Complete distclean target.
  * debian/{doc-base.linuxdoc-tools,linuxdoc-tools.doc-base}
    - doc-base.linuxdoc-tools renamed to linuxdoc-tools.doc-base
    - Removed linuxdoc-sgml entry. doc-base does not support it.
  * Build mechanism migrated to debhelper:
    - debian/rules: simplified and migrated to debhelper.
    - debian/control: Use ${misc:Depends} and ${perl:Depends}
    - debian/{postinst,prerm}.dependencies removed, they will
      be recreated by debhelper when building package.
    - debian/{postinst,prerm}: will only run mktexlsr on
      /usr/share/texmf when needed. Using dh_installtex seems
      an overkill here. debhelper will add the rest.
    - debian/linuxdoc-tools.info-base: new file with info file
      header, for dh_installinfo benefit.
    - debian/linuxdoc-tools.{docs,sgmlcatalogs}: new files
  * debian/control:
    - Build-Dependencies: Remove tetex stuff, rearrange and add
      texlive-fonts-recommended.
  
 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jun 2007 13:15:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Taketoshi Sano <sano@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: sp|opensp, texlive-base-bin|tetex-bin, texinfo, groff (>= 1.15.3.1), texlive-latex-recommended|tetex-extra, flex, gawk|mawk, perl
+Build-Depends: debhelper (>=4 ), sp|opensp, texinfo, groff (>= 1.15.3.1), flex, gawk|mawk, perl, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
 
 Package: linuxdoc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, sp|opensp, sgml-data, gawk|mawk
 Suggests: texlive-latex-base|tetex-base (>= 0.9.990406), texlive-base-bin|tetex-bin, texinfo, info-browser, texlive-latex-recommended|tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

package=linuxdoc-tools

# for FHS transition
DOCDIR=usr/share/doc/$(package)
MANDIR=usr/share/man
INFODIR=usr/share/info
copyright=debian/$(package).copyright

# create linuxdoc-tools copyright file by merging some files

define build_ldt_copyright
	cat debian/copyright                                           > $(copyright)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >> $(copyright)
	cat COPYING                                                   >> $(copyright)
	echo -e '\n------------------\n The sgmls license\n'          >> $(copyright)
	cat sgmls-1.1/LICENSE                                         >> $(copyright)
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/$(package).copyright
#	cat sp/COPYING >> debian/$(package).copyright
	echo -e '\n------------------\n The iso-entities license\n'   >> $(copyright)
	cat iso-entities/COPYING                                      >> $(copyright)
	echo -e '\n------------------\n The entity-map license\n'     >> $(copyright)
	cat entity-map/COPYING                                        >> $(copyright)
endef

# The next section may have to be extensively modified

build: build-stamp
build-stamp:
	dh_testdir

	PATH=/usr/bin:$(PATH) ./configure \
		--prefix=/usr \
	 	--mandir=/$(MANDIR) \
		--with-installed-nsgmls

	$(MAKE) prefix=/usr mandir=/$(MANDIR) \
		PERL=/usr/bin/perl \
	  	OPTIMIZE="-g -O2"

# --- Rewrite to use sgmlswhich wrapper 

	sed -e "s:/usr/bin/o\?nsgmls:/usr/share/linuxdoc-tools/sgmlswhich:" \
	    -e "s:/usr/bin/[gm]awk:/usr/share/linuxdoc-tools/awkwhich:" \
	   bin/linuxdoc > linuxdoc.new;

# --- Rewrite to use iso-entities from debian sgml-data package

	sed -e "s:prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat:prefix/share/sgml/entities/sgml-iso-entities-8879.1986/catalog:" \
           lib/LinuxDocTools.pm > LinuxDocTools.pm.new;

	$(build_ldt_copyright)

	for i in text latex info; do \
		ln -sf copyright.dependencies \
			debian/$(package)-$$i.copyright; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/$(package)-{text,latex,info}.copyright
	rm -f debian/$(package).copyright
	rm -f linuxdoc.new LinuxDocTools.pm.new doc/linuxdoc-sgml.info

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# --- do 'make install'
	$(MAKE) prefix=`pwd`/debian/tmp/usr \
		perl5libdir=`pwd`/debian/tmp/usr/share/perl5 \
		PERL=/usr/bin/perl \
		mandir=`pwd`/debian/tmp/usr/share/man \
		bindir=`pwd`/debian/tmp/usr/bin install

# --- Install shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    debian/tmp/usr/bin/sgml2$$i; \
	done
# ---
	install -m 755 debian/addition/sgmlswhich \
	  debian/tmp/usr/share/linuxdoc-tools/sgmlswhich;
	install -m 755 debian/addition/awkwhich \
	  debian/tmp/usr/share/linuxdoc-tools/awkwhich;
	install -m 755 linuxdoc.new debian/tmp/usr/bin/linuxdoc
	install -m 0644 LinuxDocTools.pm.new \
	        debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm
# ---
	cat debian/linuxdoc-tools.info-base doc/guide.info > doc/linuxdoc-sgml.info
	dh_installinfo doc/linuxdoc-sgml.info
# ---
	mkdir -p debian/tmp/usr/share/sgml
	( cd debian/tmp/usr/share/linuxdoc-tools && mv dtd ../sgml )
# ---
	mkdir -p debian/tmp/usr/share/texmf/tex/latex/misc
	( cd debian/tmp/usr/share/linuxdoc-tools && \
		mv {linuxdoc-sgml,linuxdoctr-sgml,qwertz,null}.sty \
			../texmf/tex/latex/misc )

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs  -i
	dh_installman  -i
	dh_link  -i
	dh_strip  -i
	dh_compress  -i
	dh_fixperms  -i
	dh_installdeb  -i
	dh_shlibdeps  -i
	dh_gencontrol  -i
	dh_md5sums  -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	# - Docs are installed by dh_installdocs
	# - We use entities from sgml-data package
	dh_install -a --sourcedir=debian/tmp -Xusr/share/doc -Xusr/share/sgml/iso-entities-8879.1986  '*'
	dh_installdocs  -a -Xdoc/guide.info
	dh_installman  -a
	dh_link -a usr/share/info/linuxdoc-sgml.info.gz \
		usr/share/doc/linuxdoc-tools/linuxdoc-sgml.info.gz
	dh_link -a usr/share/sgml/dtd usr/share/linuxdoc-tools/dtd
	dh_installcatalogs -a
	dh_perl -a
	dh_strip  -a
	dh_compress  -a
	dh_fixperms  -a
	dh_installdeb  -a
	dh_shlibdeps  -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a


# Below here is fairly generic really

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## linuxdoc-tools 0.9.51

=== debian/changelog ===
linuxdoc-tools (0.9.51) unstable; urgency=low

  * lib/LinuxDocTools.pm:
    - (process_options): When checking for an explicit backend option,
      do not shift in the while condition itself, 0 in options like
      '-s 0' will otherwise stop looping (Closes: #486965).
  * debian/control:
    - Bump standards version to 3.8.0. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 Jun 2008 13:45:57 +0200

linuxdoc-tools (0.9.50) unstable; urgency=low

  * lib/LinuxDocTools.pm:
    - First cut of a major rewrite
    - ldt_searchfile: New function to look for readable files in
      different locations. Make sgml catalogs, backends, entities,
      styles  and mapping searches use it. $file existence check
      will also use it.
    - Move dtd search from (process_file) to separate functions. latin1
      to sgml conversion moved to a new ldt_latin1tosgml function.
    - Use File::Temp::tempdir for temporary dir creation.
    - Avoid FileHandle package use.
    - Define intermediate file names in a single place outside of the
      functions where they are used. This should simplify renaming them.
    - Code reformatted, trailing whitespace removed, comments improved.
  * lib/LinuxDocTools.pm, lib/dist/fmt_info.pl, lib/dist/fmt_latex2e.pl:
    - Check system calls for return codes and proceed as appropriate.
    - Improve error messages, making them more consistent.
  * lib/dist/fmt_latex2e.pl:
    - Fix bibtex call, should use basename.
    - Minor cosmetic changes.
  * doc/Makedoc.sh:
    - Use mktemp to create doc build temporary dir
  * debian/control:
    - Add Vcs fields

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Jun 2008 13:53:58 +0200

linuxdoc-tools (0.9.31) unstable; urgency=low

  * doc/Makedoc.sh:
    - Make sure also searches for mawk. Was looking only for
      gawk and FTBFS if only mawk is present. (closes: #483166)
  * VERSION bumped.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 28 May 2008 00:46:52 +0200

linuxdoc-tools (0.9.30) unstable; urgency=low

  * lib/dist/fmt_*.pl: Major reformatting and trailing whitespace removal.
  * Some fixes for the info backend:
    - lib/info.awk moved to lib/filters/info-postASP.awk: Fix
      info node creation by the info backend.
    - lib/dist/fmt_info.pl: Fixed regexps and improved code.
  * lib/dist/fmt_html.pl:
    - Better %html_escapes handling.
    - Cleaner $ext and $img options handling.
  * lib/dist/fmt_latex2e.pl: Better regexp.
  * lib/dist/fmt_lyx.pl:
    - Major rewrite of postASP. Minor changes in other functions.
    - Modified to honour below changes in mapping file
    - lib/filters/lyx-preNSGMLS.pl: New perl filter for preNSGMLS.
  * lib/dist/linuxdoc-tools/lyx/mapping:
    - Fix header
    - Fix references format
    - Improve family/series/shape strings
    - Support for <sc>, <sf> and <sl> tags

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 18 May 2008 22:31:31 +0200

linuxdoc-tools (0.9.22) unstable; urgency=low

  * debian/control:
    - New maintainer, set to the Debian XML/SGML Group with myself
      as uploader. (Closes: #474126).
    - Standards bumped to 3.7.3, no changes needed.
    - Split long Suggests, Replaces, Depends and Build-Depends in
      leading whitespace separared lines.
  * bin/linuxdoc.in:
    - "Local Vars" section added for emacs.
  * debian/{changelog,control}:
    - Clean trailing whitespace.
  * debian/rules:
    - Do not ignore make clean errors if a makefile is present.
  * lib/dist/linuxdoc-tools/groff/{tr-,}mapping:
    - Do not create a TOC from here, we are already doing
      that from fmt_txt.pl. Updated comments to be consistent
      with this.
    - Removed trailing whitespace.
  * Makefile.in:
    - Make sure CVS stuff is not installed
  * debian/copyright, docs/{CHANGES,CONTRIBUTORS}.old-v1:
    - Update Copyright notice and make sure old CHANGES and
      CONTRIBUTORS files are included.
  * man/sgmlpre.1: Typo fixed.
  * debian/linuxdoc-tools.doc-base: Section fixed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Apr 2008 13:26:58 +0200
